Bug 216545 - Deadlock renaming Maven project
Deadlock renaming Maven project
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: Milos Kleint
issues@projects
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 15:53 UTC by Jesse Glick
Modified: 2012-09-13 02:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (20.80 KB, text/plain)
2012-08-08 15:53 UTC, Jesse Glick
Details
Thread dump (19.23 KB, text/plain)
2012-08-08 17:55 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-08-08 15:53:50 UTC
Created attachment 122880 [details]
Thread dump

f983cd24d560, JDK 7. See thread dump.
Comment 1 Jesse Glick 2012-08-08 17:55:15 UTC
Created attachment 122883 [details]
Thread dump

Adding a dependency this time, similar hang.
Comment 2 Milos Kleint 2012-09-12 11:30:12 UTC
http://hg.netbeans.org/core-main/rev/dad5c2621a49

the main idea is similar to deadlocks + broken models in navigator.. keep a private instance of the model and only sync it at explicit points, not relying on the automatic synchronization in the managed models. so yes, we keep more memory around but at the same time hopefully successfully workaround the broken xam multithreading model.
Comment 3 Quality Engineering 2012-09-13 02:10:14 UTC
Integrated into 'main-golden', will be available in build *201209130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dad5c2621a49
User: Milos Kleint <mkleint@netbeans.org>
Log: #216545 use a fresh private model for the status provider, only synced at well defined times.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo